Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.pgbulkloader
Class PGBulkLoaderData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.pgbulkloader.PGBulkLoaderData

All Implemented Interfaces:
  StepDataInterface

    public class PGBulkLoaderData

extends BaseStepData
implements StepDataInterface

Stores data for the GPBulkLoader step.

Since:
  20-feb-2005
Author:
  Sven Boden

Field Summary
`int[]` | `dateFormatChoices`
`org.pentaho.di.core.row.ValueMetaInterface` | `dateMeta`
`org.pentaho.di.core.row.ValueMetaInterface` | `dateTimeMeta`
`org.pentaho.di.core.database.Database` | `db`
`org.pentaho.di.core.util.StreamLogger` | `errorLogger`
`int[]` | `keynrs`
`byte[]` | `newline`
`org.pentaho.di.core.util.StreamLogger` | `outputLogger`
`org.postgresql.PGConnection` | `pgdb`
`OutputStream` | `pgOutputStream`
`Process` | `psqlProcess`
`byte[]` | `quote`
`byte[]` | `separator`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`PGBulkLoaderData()` Default constructor.

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public org.pentaho.di.core.database.Database db

### keynrs

    public int[] keynrs

### errorLogger

    public org.pentaho.di.core.util.StreamLogger errorLogger

### psqlProcess

    public Process psqlProcess

### outputLogger

    public org.pentaho.di.core.util.StreamLogger outputLogger

### pgOutputStream

    public OutputStream pgOutputStream

### quote

    public byte[] quote

### separator

    public byte[] separator

### newline

    public byte[] newline

### pgdb

    public org.postgresql.PGConnection pgdb

### dateFormatChoices

    public int[] dateFormatChoices

### dateMeta

    public org.pentaho.di.core.row.ValueMetaInterface dateMeta

### dateTimeMeta

    public org.pentaho.di.core.row.ValueMetaInterface dateTimeMeta

Constructor Detail

### PGBulkLoaderData

    public PGBulkLoaderData()

  Default constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD